%global srcname SQLAlchemy

Name:           python3-sqlalchemy
Version:        1.1.3
Release:        3%{?dist}
Summary:        Modular and flexible ORM library for python

License:        MIT
URL:            http://www.sqlalchemy.org/
Source0:        https://files.pythonhosted.org/packages/source/S/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.


%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description doc
Documentation for %{name}.


%prep
%setup -q -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install

# remove unnecessary scripts for building documentation
rm -rf doc/build


%check
pytest3="py.test-$(%{__python3} -c 'from __future__ import print_function; import sys; vi=sys.version_info; print("{0}.{1}".format(vi.major, vi.minor))')"
PYTHONPATH=. "$pytest3" test

%files doc
%doc doc examples

%files
%license LICENSE
%doc README.rst CHANGES
%{python3_sitearch}/sqlalchemy/
%{python3_sitearch}/SQLAlchemy-%{version}-py?.?.egg-info/

%changelog
* Thu Apr 04 2019 Orion Poplawski <orion@nwra.com> - 1.1.3-3
- Build for python3_other

* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com>
- Rebuilt to change main python from 3.4 to 3.6

* Tue Nov 8 2016 Orion Poplawski <orion@cora.nwra.com> - 1.1.3-1
- Update to 1.1.3
- Move docs to sub-package

* Wed Oct 12 2016 Orion Poplawski <orion@cora.nwra.com> - 1.1.1-1
- Initial EPEL version
